Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletConeTwistConstraint Class Reference

Inheritance diagram for BulletConeTwistConstraint:

List of all members.

## Public Member Functions
| BulletConeTwistConstraint (BulletRigidBodyNode const node_a, BulletRigidBodyNode const node_b, TransformState const frame_a, TransformState const frame_b)
| BulletConeTwistConstraint (BulletRigidBodyNode const node_a, TransformState const frame_a)
| enableMotor (bool enable)
float | getFixThreshold ()
| setDamping (float damping)
| setFixThreshold (float threshold)
| setLimit (float swing1, float swing2, float twist, float softness, float bias)
| setLimit (float swing1, float swing2, float twist, float softness)
| setLimit (float swing1, float swing2, float twist, float softness, float bias, float relaxation)
| setLimit (int index, float value)
| setLimit (float swing1, float swing2, float twist)
| setMaxMotorImpulse (float max_impulse)
| setMaxMotorImpulseNormalized (float max_impulse)
| setMotorTarget (Quat const quat)
| setMotorTargetInConstraintSpace (Quat const quat)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletConeTwistConstraint | ( | BulletRigidBodyNode const | node_a,
|  | BulletRigidBodyNode const | node_b,
|  | TransformState const | frame_a,
|  | TransformState const | frame_b
| ) |  |

BulletConeTwistConstraint | ( | BulletRigidBodyNode const | node_a,
|  | TransformState const | frame_a
| ) |  |

## Member Function Documentation

enableMotor | ( | bool | enable | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletConstraint.

float getFixThreshold | ( |  | ) |

setDamping | ( | float | damping | ) |

setFixThreshold | ( | float | threshold | ) |

setLimit | ( | float | swing1,
|  | float | swing2,
|  | float | twist
| ) |  |

setLimit | ( | float | swing1,
|  | float | swing2,
|  | float | twist,
|  | float | softness,
|  | float | bias
| ) |  |

setLimit | ( | int | index,
|  | float | value
| ) |  |

setLimit | ( | float | swing1,
|  | float | swing2,
|  | float | twist,
|  | float | softness,
|  | float | bias,
|  | float | relaxation
| ) |  |

setLimit | ( | float | swing1,
|  | float | swing2,
|  | float | twist,
|  | float | softness
| ) |  |

setMaxMotorImpulse | ( | float | max_impulse | ) |

setMaxMotorImpulseNormalized | ( | float | max_impulse | ) |

setMotorTarget | ( | Quat const | quat | ) |

setMotorTargetInConstraintSpace | ( | Quat const | quat | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties